FROM alpine:3.13

ARG MPD_VERSION="0.22.3-r0"

ENV MPD_CONFIG_FILE="/etc/mpd/mpd.conf" \
    MPD_EXTRA_CONFIG_DIR="/config" \
    MPD_MUSIC_DIR="/music" \
    MPD_PLAYLIST_DIR="/var/lib/mpd/playlists" \
    MPD_DB_FILE="/var/lib/mpd/database" \
    MPD_BIND_ADDRESS="0.0.0.0" \
    MPD_PORT="6600" \
    MPD_LOG_LEVEL="notice" \
    MPD_LOG_FILE="/dev/stdout"

RUN apk add --no-cache mpd="$MPD_VERSION" gettext

COPY root /

RUN rm /etc/mpd.conf && \
    chown mpd -R /etc/mpd && \
    setcap -r /usr/bin/mpd

VOLUME /music \
       /config \
       /var/lib/mpd

USER mpd

ENTRYPOINT ["/entrypoint.sh"]
